SCRIPT_NAME = "update_internal_targets.lua"
os.setlocale("C")

NOTE_PATTERN = "^((.+)%.md)(#?.*)$"
LINK_REPL = "%2.html%3"

return {
  { Link = function (link)
    local fp, _slug, _anchor = link.target:match(NOTE_PATTERN)
    if not fp then return end
    local f = io.open(fp)
    if f == nil then return link.content else f:close() end
    link.target = link.target:gsub(NOTE_PATTERN, LINK_REPL)
    return link
  end }
}
